Start an existing WAHA session
curl --request POST \
--url https://api-v2.watchcollect.com/v2/sessions/{session_id}/start \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/sessions/{session_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/sessions/{session_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "accepted",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"role": "receiving",
"engine": "WEBJS",
"session_status": "<string>",
"created": true,
"started": true,
"auth_method": "qr",
"webhook_configured": true,
"sync_requested": true,
"request_id": "<string>",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"label": "<string>",
"qr": {
"value": "<string>",
"request_id": "<string>"
},
"otp": {
"phone_number": "<string>",
"method": "<string>",
"code": "<string>",
"request_id": "<string>"
},
"sync_request_event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}sessions
Start an existing WAHA session
POST
/
v2
/
sessions
/
{session_id}
/
start
Start an existing WAHA session
curl --request POST \
--url https://api-v2.watchcollect.com/v2/sessions/{session_id}/start \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/sessions/{session_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/sessions/{session_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "accepted",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"role": "receiving",
"engine": "WEBJS",
"session_status": "<string>",
"created": true,
"started": true,
"auth_method": "qr",
"webhook_configured": true,
"sync_requested": true,
"request_id": "<string>",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"label": "<string>",
"qr": {
"value": "<string>",
"request_id": "<string>"
},
"otp": {
"phone_number": "<string>",
"method": "<string>",
"code": "<string>",
"request_id": "<string>"
},
"sync_request_event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Session start accepted.
Available options:
accepted, rejected Available options:
receiving, sending Available options:
WEBJS, NOWEB, GOWS Available options:
qr, otp Show child attributes
Show child attributes
Show child attributes
Show child attributes